Eclipse Platform Release 3.7

## org.eclipse.jface.action
Class StatusLineLayoutData

    java.lang.Object
      org.eclipse.jface.action.StatusLineLayoutData

    public class StatusLineLayoutData

extends Object

Represents the layout data object for `Control` within the status line. To set a `StatusLineLayoutData` object into a `Control`, use the `setLayoutData()` method.

NOTE: Do not reuse `StatusLineLayoutData` objects. Every control in the status line must have a unique `StatusLineLayoutData` instance or `null`.

Since:
  2.1

Field Summary
`int` `heightHint` The `heightHint` specifies a minimum height for the `Control`.
`int` `widthHint` The `widthHint` specifies a minimum width for the `Control`.

Constructor Summary
`StatusLineLayoutData()` Creates an initial status line layout data object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### widthHint

    public int widthHint

  The `widthHint` specifies a minimum width for the `Control`. A value of `SWT.DEFAULT` indicates that no minimum width is specified. The default value is `SWT.DEFAULT`.

### heightHint

    public int heightHint

  The `heightHint` specifies a minimum height for the `Control`. A value of `SWT.DEFAULT` indicates that no minimum height is specified. The default value is `SWT.DEFAULT`.

Constructor Detail

### StatusLineLayoutData

    public StatusLineLayoutData()

  Creates an initial status line layout data object.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.